RuntimeInfrastructure mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.Object System.Reflection.ICustomAttributeProvider System.Runtime.InteropServices._Assembly System.Runtime.Serialization.ISerializable System.Security.IEvidenceFactory System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._Assembly)) System.Runtime.InteropServices.ComVisible(true)

Defines a , which is a reusable, versionable, and self-describing building block of an application.

An assembly is a reusable, versionable, self-describing deployment unit for types and resources. Assemblies are the fundamental units of deployment, and consist of collections of types and resources that are built to work together and form logical units of functionality.

An assembly consists of the following two logical elements:

The sets of types and resources that form some logical unit of functionality.

A manifest, which is the metadata that describes how the types and resources of an assembly relate and what they depend on to work properly.

The following information is captured in an assembly manifest:

An assembly's identity includes its simple name (also called its weak name), a version number, an optional culture if the assembly contains localized resources, and an optional public key used to guarantee name uniqueness and to "protect" the name from unwanted reuse.
Assemblies contain types and resources. The manifest lists the names of all the types and resources that are visible outside the assembly, along with information about where they can be found within the assembly.
Each assembly explicitly describes other assemblies that it is dependent upon. Included in this dependency information is the version of each dependency that was present when the manifest was built and tested. In this way the "known good" configuration is recorded and can be reverted to in case of failures due to version mismatches.
As an assembly is being built, the assembly records the set of permissions that the assembly requires to run.

For additional information about assemblies, see Partition II of the CLI Specification.

- Constructor
  4.0.0.0
  To be added.
  To be added.
- Property
  System.String Get the absolute path from which the assembly was originally loaded. Absolute path from which the assembly was originally loaded. The of an assembly differs from the in that the CodeBase is the original location of the assembly, while the Location tells the location of the loaded assembly. These paths will differ if, for example, the assembly was shadow copied before loading.

  This example demonstrates the use of the CodeBase Property

  `using System; using System.Reflection; class ReflectionTest { public static void Main(string[] args){ Assembly a = Assembly.GetAssembly(typeof(string)); Console.WriteLine("CodeBase: {0}\n",a.CodeBase); } }`

  Prints

  CodeBase: file:///usr/local/lib/mono/1.0/mscorlib.dll

  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Object `` The name of the type to locate.

  Locates the specified type from this assembly and creates an instance of it using case-sensitive search.

  An instance of representing the type, or if is not found.

  To be added. is the empty string ("") or "\0anything". is . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Reflection.MethodInfo Returns a for the Entry Point in the assembly if it exists. object for the Entry Point in the assembly if it exists. If there isn't an entry point in the assembly, the object is null. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Security.Policy.Evidence To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.String

  Gets the full name of the assembly.

  A containing the full name of the assembly.

  This property is read-only.

  As described above.

  The full name is returned in the following format:

  The section of the string contains the textual name of the assembly, and is equivalent to the name of the file into which the assembly manifest is compiled. This name does not change even if the file with the assembly manifest is later renamed. For additional information about assembly manifests, see Partition II of the CLI Specification.

  For information on the information in the full name of a , see .

  The is a containing the value of the public key token in hexadecimal format. A indicates that the current assembly is private. For additional information about public keys and public key tokens, see Partition II of the CLI Specification.

  This property is used by the method.

  The following example demonstrates using the property to get the full name of an assembly compiled into a file named "HelloWorld".

  `using System; using System.Reflection; public class AssemblyExample { public static void Main() { Assembly a = Assembly.Load("helloworld"); Console.WriteLine(a.FullName); } }`

  The output is

  HelloWorld, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Reflection.Assembly `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Assembly Gives the Assembly of the method which invoked the currently running method. Assembly of the method which invoked the calling method. If method A invokes method B, and method B calls Assembly.GetExecutingAssembly() then the result is the assembly of method A. In other words, this is useful for things like performing reflection on a user of some utility class you are writing. It does NOT return the "current" assembly of your own code! For that, try Assembly.GetAssembly(this) 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object[] `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object[] `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Assembly To be added. The entry assembly. If invoked from a secondary AppDomain, this call returns null. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Assembly To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Type[] To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.IO.FileStream `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.IO.FileStream[] To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.IO.FileStream[] `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  System.Reflection.Module[] To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Module[] `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.ManifestResourceInfo `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String[] To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.IO.Stream `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.IO.Stream `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Module `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Module[] To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Module[] `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.AssemblyName To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.AssemblyName `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.AssemblyName[] To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Assembly `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Assembly `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Type To be added. To be added. To be added. 1.0.5000.0
- Method
  System.Type `` A containing the name of the type defined in the current assembly.

  Returns the object with the specified name defined in the current assembly.

  A object that represents the specified type, or if the specified was not found.

  As described above.

  is equal to or starts with the null character ('\0'). is . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Type `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Type `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Type[]

  Returns the types defined in the current assembly.

  An array of type containing all of the types defined in the current assembly.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean Gets a boolean value whether the assembly was loaded from the GAC (Global Assembly Cache). Boolean value whether the assembly was loaded from the GAC. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Runtime.InteropServices.ComVisible(false)
  System.Int64 To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Property
  System.String Get the version of the CLR stored in the assembly. Version of the CLR stored in the assembly. To be added. System.Runtime.InteropServices.ComVisible(false) 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  System.Reflection.Assembly `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Assembly `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Assembly `` A containing the name of the assembly.

  Loads the specified assembly.

  The loaded .

  To be added. is . is equal to or starts with the null character ('\0'). The identified by was not found. The identified by is not a valid assembly. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Assembly `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Assembly `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete
- Method
  System.Reflection.Assembly `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete
- Method
  System.Reflection.Assembly `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete
- Method
  4.0.0.0
  System.Reflection.Assembly `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Reflection.Assembly `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Assembly `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete
- Method
  System.Reflection.Assembly `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Assembly `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete
- Method
  4.0.0.0
  System.Reflection.Assembly `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Reflection.Assembly `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete
- Method
  System.Reflection.Module `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Module `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Assembly `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete
- Method
  System.Reflection.Assembly `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete
- Property
  System.String Returns the location of the loaded assembly if the assembly was loaded from disk. If the assembly was loaded from memory, returns an empty ("") string. Location of the loaded assembly. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Reflection.Module To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Event
  System.Reflection.ModuleResolveEventHandler To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Security.PermissionSet To be added. To be added. To be added.
- Property
  System.Runtime.InteropServices.ComVisible(false)
  System.Boolean To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Assembly `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Assembly `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Assembly `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.String

  Returns a representation of the value of the current instance.

  A representation of the current instance. The string takes into account the current system culture.

  This method returns the of the current assembly.

  This method overrides .

  The following example demonstrates the use of the method in an assembly compiled into a file named "HelloWorld".

  `using System; using System.Reflection; public class AssemblyExample { public static void Main() { Assembly a = Assembly.Load("helloworld"); Console.WriteLine(a.ToString()); } }`

  The output is

  HelloWorld, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
0